## org.eclipse.emf.ecore.xml.type.internal
Class RegEx.Match

    java.lang.Object
      org.eclipse.emf.ecore.xml.type.internal.RegEx.Match

All Implemented Interfaces:
  java.lang.Cloneable

Enclosing class:
  RegEx

    public static class RegEx.Match

extends java.lang.Object
implements java.lang.Cloneable

Constructor Summary
`RegEx.Match()` Creates an instance.

Method Summary
`java.lang.Object` `clone()`
`int` `getBeginning(int index)` Return a start position in the target text matched to specified regular expression group.
`java.lang.String` `getCapturedText(int index)` Return an substring of the target text matched to specified regular expression group.
`int` `getEnd(int index)` Return an end position in the target text matched to specified regular expression group.
`int` `getNumberOfGroups()` Return the number of regular expression groups.
`protected void` `setBeginning(int index, int v)`
`protected void` `setEnd(int index, int v)`
`protected void` `setNumberOfGroups(int n)`
`protected void` `setSource(char[] chars)`
`protected void` `setSource(java.text.CharacterIterator ci)`
`protected void` `setSource(java.lang.String str)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegEx.Match

    public RegEx.Match()

  Creates an instance.

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### setNumberOfGroups

    protected void setNumberOfGroups(int n)

### setSource

    protected void setSource(java.text.CharacterIterator ci)

### setSource

    protected void setSource(java.lang.String str)

### setSource

    protected void setSource(char[] chars)

### setBeginning

    protected void setBeginning(int index,
                                int v)

### setEnd

    protected void setEnd(int index,
                          int v)

### getNumberOfGroups

    public int getNumberOfGroups()

  Return the number of regular expression groups. This method returns 1 when the regular expression has no capturing-parenthesis.

### getBeginning

    public int getBeginning(int index)

  Return a start position in the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

### getEnd

    public int getEnd(int index)

  Return an end position in the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

### getCapturedText

    public java.lang.String getCapturedText(int index)

  Return an substring of the target text matched to specified regular expression group.

  Parameters:
    `index` - Less than `getNumberOfGroups()`.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.